#include <cmath>
#include "Ponto.h"

Ponto::Ponto(float x, float y) {
	this->x = x;
	this->y = y;
}

bool Ponto::equals(Ponto &p) {
	return (this->x == p.x && this->y == p.y);
}

float Ponto::distancia(Ponto &p) {
	float a = (this->x - p.x) * (this->x - p.x);
	float b = (this->y - p.y) * (this->y - p.y);

	return sqrt(a + b);
}

float inline Ponto::get_x() {
			return this->x;
}

float inline Ponto::get_y() {
			return this->y;
}
